Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
yaml_version_directive_s Struct Reference
Basic Types

The version directive data. More...

`#include <yaml.h>`

## Data Fields
int | major
| The major version number. More...
int | minor
| The minor version number. More...

## Detailed Description

The version directive data.

Definition at line 81 of file yaml.h.

## Field Documentation

int yaml_version_directive_s::major

The major version number.

Definition at line 83 of file yaml.h.

Referenced by start_document(), yaml_document_initialize(), yaml_document_start_event_initialize(), yaml_emitter_analyze_version_directive(), and yaml_parser_process_directives().

int yaml_version_directive_s::minor

The minor version number.

Definition at line 85 of file yaml.h.

Referenced by start_document(), yaml_document_initialize(), yaml_document_start_event_initialize(), yaml_emitter_analyze_version_directive(), and yaml_parser_process_directives().

The documentation for this struct was generated from the following file:

- ext/psych/yaml/yaml.h